[ python-Bugs-1022010 ] wrong options are set to python.exe

SourceForge.net noreply at sourceforge.net
Sun Sep 5 11:01:53 CEST 2004


Bugs item #1022010, was opened at 2004-09-03 20:46
Message generated for change (Comment added) made by loewis
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=105470&aid=1022010&group_id=5470

Category: Installation
Group: Python 2.4
Status: Open
Resolution: None
Priority: 5
Submitted By: George Yoshida (quiver)
Assigned to: Martin v. Löwis (loewis)
Summary: wrong options are set to python.exe

Initial Comment:
When I tried to run a script(just double-clicked it) with 
Python
2.4 on Win 2000, I ran into an error message:

  C:\WINNT\system32\cmd.exe /c test.py
  Unknown option: -n
  usage: C:\Python24\python.exe [option] ... [-c cmd | 
file | -] [arg] ...
  Try `python -h' for more information.
  shell returned 2
  Hit any key to close this window...

The problem seems to be the associations of Python 
related file
types.

In this case, "Python file" (Extension is ".py") is 
associated
with two actions:
-  Edit with IDLE
-  open            (default)

If you look at the "Application used to perform action" 
text box
of 'open', you can see:
  "C:\Python24\python.exe" -n -e "%1"

But neither -n nor -e is a valid option for python.exe and 
it
results in an error message. These options are for IDLE!
Line #1016 to #1020 of mis.py may be relevant to this.

# Tools/msi/mis.py

  # add_data(db, "MIME") XXX
  add_data(db, "Verb",
          [("py", "open", 1, None, r'-n -e "%1"'),
          ("pyw", "open", 1, None, r'-n -e "%1"'),
          ("pyc", "open", 1, None, r'-n -e "%1"'),
          ("pyo", "open", 1, None, r'-n -e "%1"')])


----------------------------------------------------------------------

>Comment By: Martin v. Löwis (loewis)
Date: 2004-09-05 11:01

Message:
Logged In: YES 
user_id=21627

Thanks for your report. I have re-rolled the package, and
Anthony has made it available from 

http://www.python.org/ftp/python/2.4/python-2.4a3.2.msi

I will commit the changes to msi.py shortly.
I have left the Itanium installer untouched - Itanium users
will either fix the extensions themselves, or wait for 2.4b1.

----------------------------------------------------------------------

Comment By: George Yoshida (quiver)
Date: 2004-09-04 06:20

Message:
Logged In: YES 
user_id=671362

Sorry for not being clearer.
I meant Python 2.4a3 by Python 2.4.

----------------------------------------------------------------------

Comment By: Tim Peters (tim_one)
Date: 2004-09-04 03:04

Message:
Logged In: YES 
user_id=31435

He's using the 2.4a3 just released; a number of reports like 
this appeared on c.l.py soon after the release, and George 
was the first to do the right thing about it <wink>.

----------------------------------------------------------------------

Comment By: Martin v. Löwis (loewis)
Date: 2004-09-04 01:25

Message:
Logged In: YES 
user_id=21627

Python 2.4 has not been released yet. What precisely have
you been using?

----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=105470&aid=1022010&group_id=5470


More information about the Python-bugs-list mailing list